Foreman - Bug #16164

Testing connection gives false positives for multiple compute resources
08/18/2016 07:26 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Toma$ Strachota
Category: Compute resources
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1331550 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3795
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1331550
Description of problem:

Under "Infrastructure" -> "Compute resources" -> "New compute resource",
before I add any details about my compute resource, if I click 'test connection'
I get a green box in the top right hand corner saying "Success: Test connection was successful".

Version—-Release number of selected component (if applicable):
Sat 6.2.0 Beta -

Steps to Reproduce:

1.Log into Sat 6

2. Select "Infrastructure" -> "Compute resources" -> "New compute resource"

3. click 'Test connection' for Libvirt or Rackspace, 'Load Datacenters' for VMware
4. Observe success message.

Actual results:
False success message on screen.

Expected results:
Error message, or nothing at all.

Associated revisions

Revision f68a467f - 09/01/2016 07:35 AM - Tomas Strachota
Fixes #16164 - False positives on testing CR connection
Prevents from showing success message when there's a validation

error in the returned form and adds error handling for
the test connection ajax call.

History

#1 - 08/18/2016 07:27 AM - Ondfej Prazak

- Subject changed from Testing connection gives false positives for multiple compute resources
to Testing connection gives false positives for multiple compute resources

- Category changed from VM management to Compute resources

- Target version set to 115

#2 - 08/18/2016 08:32 AM - Marek Hulan

- Target version changed from 115 to 1.6.0

#3 - 08/29/2016 11:56 AM - Tomas Strachota

- Status changed from New to Assigned
https://bugzilla.redhat.com/show_bug.cgi?id=1331550

- Assignee set to Tomas Strachota

#4 - 08/30/2016 09:46 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3795 added

#5 - 09/01/2016 07:36 AM - Marek Hulan

- translation missing: en.field_release set to 160

#6 - 09/01/2016 08:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset {68a467{6448b91e4434821181b5b777aeceb40a.
